Get the Metadata of All Columns
Description
This API enables you to retrieve the metadata of all the columns in a table in the Data Store, by referring to the table’s unique ID or name.
Request Details
Request URL
GET
{api-domain}/baas/v1/project/{project_id}/table/{tableIdentifier}/column
copy
api-domain
URL
The DC-specific domain to access Catalyst API
project_id
Numerical
The unique ID of the project
tableIdentifier
Numerical
The unique ID of the table or table name
Request Headers
Authorization: Zoho-oauthtoken {oauth_token}
Optional Headers
CATALYST-ORG: {org_id}
Environment: Development
Scope
ZohoCatalyst.tables.columns.READ
Response Details
The response will return the metadata of all columns such as the column_id, column_name, and data_type of each column.
Sample Request
copy
curl -X GET
https://api.catalyst.zoho.com/baas/v1/project/4000000006007/table/EmpDetails/column
-H “Authorization: Zoho-oauthtoken 1000.910*************************16.2f*************************57”
Sample Response
copy
{
"status":"success",
"data":[
{
"table_id":829000000037723,
"column_sequence":1,
"column_name":"ROWID",
"category":1,
"data_type":"bigint",
"is_read_only":false,
"max_length":50,
"is_mandatory":false,
"decimal_digits":2,
"is_unique":false,
"search_index_enabled":false,
"column_id":829000000037726
},
{
"table_id":829000000037723,
"column_sequence":2,
"column_name":"CREATORID",
"category":1,
"data_type":"bigint",
"is_read_only":false,
"max_length":50,
"is_mandatory":false,
"decimal_digits":2,
"is_unique":false,
"search_index_enabled":true,
"column_id":829000000037728
},
{
"table_id":829000000037723,
"column_sequence":3,
"column_name":"CREATEDTIME",
"category":1,
"data_type":"datetime",
"is_read_only":false,
"max_length":50,
"is_mandatory":false,
"decimal_digits":2,
"is_unique":false,
"search_index_enabled":true,
"column_id":829000000037730
},
{
"table_id":829000000037723,
"column_sequence":4,
"column_name":"MODIFIEDTIME",
"category":1,
"data_type":"datetime",
"is_read_only":false,
"max_length":50,
"is_mandatory":false,
"decimal_digits":2,
"is_unique":false,
"search_index_enabled":true,
"column_id":829000000037732
},
{
"table_id":829000000037723,
"column_sequence":5,
"column_name":"EmpID",
"category":2,
"data_type":"bigint",
"is_read_only":false,
"max_length":15,
"is_mandatory":true,
"decimal_digits":2,
"is_unique":true,
"search_index_enabled":false,
"column_id":829000000038445
},
{
"table_id":829000000037723,
"column_sequence":6,
"column_name":"EmpName",
"category":2,
"data_type":"text",
"is_read_only":false,
"max_length":50,
"is_mandatory":true,
"decimal_digits":2,
"is_unique":false,
"search_index_enabled":false,
"column_id":829000000038450
}
]
}
Yes
No
Send your feedback to us
Skip
Submit